<?php
/***************************************\
|			PHP OPTIMISATEUR			|
|			   Version 1.1				|
\***************************************/

echo '<div class="config">
		<h2>'.l10n('Configuration').'</h2>
		<ul>
			<li>
				<span class="title">'.l10n('Folders').'</span>
				<table>
					<tr>
						<td><b>'.l10n('FolderIn').' :</b></td>
						<td>'.$DIRsource.'</td>
					</tr>
					<tr>
						<td><b>'.l10n('FolderOut').' :</b></td>
						<td>'.$DIRsortie.'</td>
					</tr>
				</table>
			</li>
			<li>
				<span class="title">'.l10n('Options').'</span>
				<table>
					<tr>
						<td><b>'.l10n('DIRhighORNOT').' :</b></td>
						<td>'.bool_to_string($DIRhighORNOT).'</td>
					</tr>
					<tr>
						<td><b>'.l10n('DIMhdORNOT').' :</b></td>
						<td>'.bool_to_string($DIMhdORNOT).'</td>
					</tr>
					<tr>
						<td><b>'.l10n('renameORNOT').' :</b></td>
						<td>'.bool_to_string($renameORNOT).'</td>
					</tr>
					<tr>
						<td><b>'.l10n('indexORNOT').' :</b></td>
						<td>'.bool_to_string($indexORNOT).'</td>
					</tr>
					<tr>
						<td><b>'.l10n('prefixe_mini').' :</b></td>
						<td>'.$prefixe_mini.'</td>
					</tr>
				</table>
			</li>
			<li>
				<span class="title">'.l10n('Sizes and quality').'</span>
				<table>
					<tr>
						<td><b>'.l10n('DIMhd').' :</b></td>
						<td>'.$DIMhd.'</td>
					</tr>
					<tr>
						<td><b>'.l10n('DIMnormal').' :</b></td>
						<td>'.$DIMnormal.'</td>
					</tr>
					<tr>
						<td><b>'.l10n('DIMthumbnail').' :</b></td>
						<td>'.$DIMthumbnail.'</td>
					</tr>
					<tr>
						<td><b>'.l10n('Qhd').' :</b></td>
						<td>'.$Qhd.'</td>
					</tr>
					<tr>
						<td><b>'.l10n('Qnormal').' :</b></td>
						<td>'.$Qnormal.'</td>
					</tr>
					<tr>
						<td><b>'.l10n('Qthumbnail').' :</b></td>
						<td>'.$Qthumbnail.'</td>
					</tr>
					<tr>
						<td><b>'.l10n('DPI').' :</b></td>
						<td>'.$DPI.'</td>
					</tr>
				</table>
			</li>
			<li>
				<span class="title">'.l10n('Copyright').'</span>
				<table>
					<tr>
						<td><b>'.l10n('Content').' :</b></td>
						<td>'.$copyright.'</td>
					</tr>
					<tr>
						<td><b>'.l10n('copyONhd').' :</b></td>
						<td>'.bool_to_string($copyONhd).'</td>
					</tr>
					<tr>
						<td><b>'.l10n('copyONnormal').' :</b></td>
						<td>'.bool_to_string($copyONnormal).'</td>
					</tr>
					<tr>
						<td><b>'.l10n('copyPOS%s', '').' :</b></td>
						<td>'.$copyPOS.'</td>
					</tr>
					<tr>
						<td><b>'.l10n('copySIZE').' :</b></td>
						<td>'.$copySIZE.'</td>
					</tr>
					<tr>
						<td><b>'.l10n('copyCOLOR').' :</b></td>
						<td>rgb('.$copyCOLOR.') <span style="vertical-align:middle;border:1px solid #7f7f7f;width:1.5em;height:0.8em;display:inline-block;background:rgb('.str_replace(' ',',',$copyCOLOR).');">&nbsp;</span></td>
					</tr>
					<tr>
						<td><b>'.l10n('copyFONT').' :</b></td>
						<td>'.$copyFONT.'</td>
					</tr>
				</table>
			</li>
			<li>
				<span class="title">'.l10n('PluginsBefore').'</span>
				<ul>';
					foreach ($PluginsBefore as $name => $config) {
						echo '<li>
							<b>'.$name.' :</b>
							<table>';
								foreach ($config as $key => $value) {
									echo '<tr>
										<td>'.$key.' :</td>
										<td>'.bool_to_string($value).'</td>
									</tr>';
								}
							echo '</table>
						</li>';
					}
				echo '</ul>
			</li>
			<li>
				<span class="title">'.l10n('PluginsProcess').'</span>
				<ul>';
					foreach ($PluginsProcess as $name => $config) {
						echo '<li>
							<b>'.$name.' :</b>
							<table>';
								foreach ($config as $key => $value) {
									echo '<tr>
										<td>'.$key.' :</td>
										<td>'.bool_to_string($value).'</td>
									</tr>';
								}
							echo '</table>
						</li>';
					}
				echo '</ul>
			</li>
			<li>
				<span class="title">'.l10n('PluginsAfter').'</span>
				<ul>';
					foreach ($PluginsAfter as $name => $config) {
						echo '<li>
							<b>'.$name.' :</b>
							<table>';
								foreach ($config as $key => $value) {
									echo '<tr>
										<td>'.$key.' :</td>
										<td>'.bool_to_string($value).'</td>
									</tr>';
								}
							echo '</table>
						</li>';
					}
				echo '</ul>
			</li>
		</ul>
	</div>';
?>